gnutls_pcert_import_openpgp_raw(3)

NAME
gnutls_pcert_import_openpgp_raw - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pcert_import_openpgp_raw(gnutls_pcert_st * pcert, const gnutls_datum_t* cert, gnutls_openpgp_crt_fmt_t format, gnutls_openpgp_keyid_t keyid, unsigned int flags);

ARGUMENTS

gnutls_pcert_st * pcert
    The pcert structure

const gnutls_datum_t* cert
    The raw certificate to be imported

gnutls_openpgp_crt_fmt_t format
    The format of the certificate

gnutls_openpgp_keyid_t keyid
    The key ID to use (NULL for the master key)

unsigned int flags
    zero for now

DESCRIPTION
This convenience function will import the given certificate to a gnutls_pcert_st structure. The structure must be deinitialized afterwards using gnutls_pcert_deinit();

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.